LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
XSingleServiceFactory Interface Referencepublished

Factory interface to produce instances of an implementation of a service specification. More...

`import"XSingleServiceFactory.idl";`

Inheritance diagram for XSingleServiceFactory:

## Public Member Functions
com::sun::star::uno::XInterface | createInstance () raises ( com::sun::star::uno::Exception )
| Creates an instance of a service implementation. More...
com::sun::star::uno::XInterface | createInstanceWithArguments ([in] sequence< any > aArguments) raises ( com::sun::star::uno::Exception )
| Creates an instance of a service implementation initialized with some arguments. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

Factory interface to produce instances of an implementation of a service specification.

This interface is deprecated. Please use XSingleComponentFactory.

See also
  XInitialization

Deprecated:

## Member Function Documentation

## ◆ createInstance()

com::sun::star::uno::XInterface createInstance | ( |  | ) |
raises | ( | com::sun::star::uno::Exception
| ) |  |

Creates an instance of a service implementation.

Returns
  service instance

## ◆ createInstanceWithArguments()

com::sun::star::uno::XInterface createInstanceWithArguments | ( | [in] sequence< any > | aArguments | ) |
raises | ( | com::sun::star::uno::Exception
| ) |  |

Creates an instance of a service implementation initialized with some arguments.

Parameters

  aArguments | arguments passed to implementation

Returns
  service instance

The documentation for this interface was generated from the following file:

- com/sun/star/lang/XSingleServiceFactory.idl